Summary: Simple backup script, using afio, suitable for SOHO environments
Name: jpbackup
Version: 0.9.2
Release: 1
Copyright: GPL
Group: Applications/Archiving
Packager: JP Vossen <jp@jpsdomain.org>
Vendor: JP Vossen <jp@jpsdomain.org>
URL: http://www.jpsdomain.org/linux/linux.html#backups
Source: http://www.jpsdomain.org/public/tools/jpbackup-%PACKAGE_VERSION.tgz
BuildRoot: %{_tmppath}/%name-root

%description
This is a set of scripts and documentation to facilitate backups of RedHat
Linux, using an OnStream DI-30 tape drive.  However, with very minor
editing it should work for any Linux distribution, and for any supported
tape drive.  It rotates through Monday_1 to 3 and Monthly_1 to 5 media for
a rolling 5 month window.  The jpbackup shell script is heavily commented
-- review for more details.

It uses afio as the backup engine.  There are no command line options.
It's intended for a "set it and forget it" configuration, scheduled via
cron.  You just have to remember to swap tapes each week.  It's also not
really set up as a "user-mode" program -- it wants to be run by root.

%prep

%setup -q -n %name-%PACKAGE_VERSION

# %patch -p 1

# %build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}/opt/%name \
         ${RPM_BUILD_ROOT}/var/opt/%name \
         ${RPM_BUILD_ROOT}/var/log/%name

install -m 0700 calcsum.ksh configbackup jpbackup RDISK tape \
		${RPM_BUILD_ROOT}/opt/%name/
install -m 0644 lastmonthly lasttape lastweekly nobackup nocompress \
		${RPM_BUILD_ROOT}/var/opt/%name/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/opt/%name/calcsum.ksh
/opt/%name/configbackup
/opt/%name/RDISK
/opt/%name/tape
%config /opt/%name/jpbackup
%config /var/opt/%name/*
%doc README TODO CHANGES OnStream_DI-30-RedHat_Backup_mini-HOWTO.*
%doc Sample_Tape_Rotation_Schedule.html
%dir /var/log/%name/

%changelog
* Sat Jun 16 2001 JP Vossen (jp@jpsdomain.org>
- Upgrade tape to v0.9.2 to fix bugs in the way the tar command was written
- Make various corrections to the OnStream documentation

* Sun Jun  3 2001 JP Vossen (jp@jpsdomain.org>
- initial RPM
